Skip to main content
Resource Center/Network Service/Network Service Operations/Port Mirroring APIs

CreatePortMirrorSession

CreatePortMirrorSession

POST/zstack/v1/port-mirrors/sessions

Operation ID

CreatePortMirrorSession

Since

3.7.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • portMirrorUuid
      StringRequired

      The port mirror UUID.

    • name
      StringRequired

      The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • type
      StringRequired

      The session resource type.

    • srcEndPoint
      StringRequired

      The source endpoint of the mirror session.

    • dstEndPoint
      StringRequired

      The destination endpoint of the mirror session.

    • resourceUuid
      String

      Optional. The resource UUID.

    • tagUuids
      List

      Optional. The list of tag UUIDs.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    Error code, null if operation succeeds, non-null if operation fails, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    PortMirrorSessionInventoryRequired

    See inventory

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • internalId
      LongRequired

      The internal ID.

    • srcEndPoint
      StringRequired

      The source endpoint.

    • dstEndPoint
      StringRequired

      The destination endpoint.

    • portMirrorUuid
      StringRequired

      The port mirror UUID.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • status
      SessionStatusRequired

      See status

      • Created
        SessionStatusRequired

        The created status.

      • Active
        SessionStatusRequired

        The active status.

      • Inactive
        SessionStatusRequired

        The inactive status.

    • type
      SessionTypeRequired

      See type

      • Ingress
        SessionTypeRequired

        The ingress traffic direction.

      • Egress
        SessionTypeRequired

        The egress traffic direction.

      • Bidirection
        SessionTypeRequired

        The bidirectional traffic direction.